RobocodeFileOutputStream

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class RobocodeFileOutputStream

    java.lang.Object
      java.io.OutputStream
          robocode.RobocodeFileOutputStream

public class RobocodeFileOutputStream
extends OutputStream

RobocodeFileOutputStream

See Also:
  `FileOutputStream`

Constructor Summary
`RobocodeFileOutputStream(File file)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(FileDescriptor fdObj)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(String name)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!
`RobocodeFileOutputStream(String name, boolean append)` RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

Method Summary
`void` | `close()` See java.io.FileOutputStream
`void` | `flush()` See java.io.FileOutputStream
`String` | `getName()` Returns the filename
`void` | `setFileOutputStream(FileOutputStream out)` The system calls this method, you should not call it.
`static void` | `setThreadManager(robocode.manager.ThreadManager threadManager)` The system calls this method, you should not call it.
`void` | `write(byte[] b)` See java.io.FileOutputStream
`void` | `write(byte[] b, int off, int len)` See java.io.FileOutputStream
`void` | `write(int b)` See java.io.FileOutputStream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(File file)
                             throws IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

See Also:
  `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(FileDescriptor fdObj)

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

See Also:
  `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(String name)
                             throws IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

See Also:
  `FileOutputStream`

### RobocodeFileOutputStream

    public RobocodeFileOutputStream(String name,
                                    boolean append)
                             throws IOException

  RobocodeFileOutputStream constructor -- see FileOutputStream for docs!

See Also:
  `FileOutputStream`

Method Detail

### close

    public final void close()
                     throws IOException

  See java.io.FileOutputStream

  Throws:
    `IOException`
  See Also:
    `FileOutputStream`

### flush

    public final void flush()
                     throws IOException

  See java.io.FileOutputStream

  Throws:
    `IOException`
  See Also:
    `FileOutputStream`

### getName

    public final String getName()

  Returns the filename

### setFileOutputStream

    public final void setFileOutputStream(FileOutputStream out)

  The system calls this method, you should not call it.

### setThreadManager

    public static final void setThreadManager(robocode.manager.ThreadManager threadManager)

  The system calls this method, you should not call it.

### write

    public final void write(byte[] b)
                     throws IOException

  See java.io.FileOutputStream

  Throws:
    `IOException`
  See Also:
    `FileOutputStream`

### write

    public final void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

  See java.io.FileOutputStream

  Throws:
    `IOException`
  See Also:
    `FileOutputStream`

### write

    public final void write(int b)
                     throws IOException

  See java.io.FileOutputStream

  Throws:
    `IOException`
  See Also:
    `FileOutputStream`

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD